Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Arch jako StormOS

Zaczęty przez Piejanto, Marzec 07, 2022, 09:33:01 PM

Poprzedni wątek - Następny wątek

Piejanto

Mam starego Acera i miałem problem zarówno z Mintem (brak sterowania jasnością) spróbowałem instalacji przez Calm-Arch-Installer, ale po uruchomienieu z pendrive od razu tez ie miał regulacji jasności a ponadto był problem z Wi-Fi, później próbowałem instalacji za pomoca Anarchy (zaawansowane i automatyczne) i za każdym razem na koniec instalacji otrzymałem informację, że "nie zdołano zainstalować Katalogu Głównego".

Wpadł mi w oko OS dla poczatkujących oparty na Archu. Zainstalowałem StormOS-a i ... wszystko, jak na razie działało pięknie, ale postanowiłem go nieco obciążyć. Doinstalowałem [pak] i się okazało, że działa zupełnie pięknie.
Z Acerem nie wiążę większych nadziei, ale potrzebny mi będzie do obejrzeia czasem TV. Doinstalowałem Kaffeine. A później dodałem kamerę Cheese. Dziiała.
Pomyślałem, że może brak mi nieco Chaotic-Aur, bo tam jest Octopi. No, i niestety, tutaj coś mi ie wychodzi.

Po wpisaniu [pak -Syu] odklepuje się Chaotic-AUR ale niestety nie przyjmuje mi polecenia pobrania klucza
Gdy wpisuję polecenie, otrzymuje informację o błedzie:

# pacman-key --keyserver keys.mozilla.org -r 3056513887B78AEB
gpg: odbiór z serwera kluczy nie powiódł się: Brak nazwy
==> BŁĄD: Nie udało się pobrać klucza z keyservera.

Poza tym program pokazuje mi wszystkie pozycje w Chaotic-AUR, tyle tylko, że po pobraniu nie instaluje ich.

Jeśli ktoś z kolegów miałby jakis pomysł, to będę wdzięczny za podpowiedzi.
Przy próbie aktualizacji pacmanem, wygladato tak :

# pacman-key --lsign-key 3056513887B78AEB
  -> Locally signed 1 keys.
==> Aktualizacja zaufanej bazy danych...
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: poziom: 0 poprawnych:   1 podpisanych:   7 zaufanie: 0-,0q,0n,0m,0f,1u
gpg: poziom: 1 poprawnych:   7 podpisanych:  94 zaufanie: 1-,0q,0n,6m,0f,0u
gpg: poziom: 2 poprawnych:  88 podpisanych:  32 zaufanie: 88-,0q,0n,0m,0f,0u
gpg: następne sprawdzanie bazy odbędzie się 2022-05-06
[root@piejanto jan]# pacman -Syy
:: Synchronizowanie baz danych z pakietami...
core                      136,0 KiB   209 KiB/s 00:01 [----------------------------] 100%
extra                    1547,0 KiB  1154 KiB/s 00:01 [----------------------------] 100%
community                   6,0 MiB  1297 KiB/s 00:05 [----------------------------] 100%
multilib                  154,0 KiB   890 KiB/s 00:00 [----------------------------] 100%
chaotic-aur              1584,0 KiB   686 KiB/s 00:02 [----------------------------] 100%
storm-os                   10,2 KiB  21,5 KiB/s 00:00 [----------------------------] 100%
[root@piejanto jan]# pacman -Syu
:: Synchronizowanie baz danych z pakietami...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date
storm-os is up to date
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...

Pakiety (20) archlinux-appstream-data-pamac-1:20220107-1  curl-7.82.0-1  fakeroot-1.28-1
             flatpak-1:1.12.6-1  gpgme-1.17.1-1  lib32-curl-7.82.0-1  libgksu-2.0.12-9
             libmfx-22.1.0-1  libnm-1.36.2-1  libvpx-1.11.0-2  mugshot-0.4.3-2
             nbd-3.24-1  networkmanager-1.36.2-1  open-vm-tools-6:12.0.0-1
             qt5-base-5.15.3+kde+r133-1  sudo-1.9.10-1  xfce4-panel-profiles-1.0.13-1
             xfce4-screenshooter-1.9.10-1  yay-11.1.1-1  zoom-5.9.6-1

Do pobrania:              98,89 MiB
Do zainstalowania:       367,22 MiB
Zmiana po aktualizacji:   35,64 MiB

:: Kontynuować instalację? [T/n] T
:: Pobieranie pakietów...
zoom-5.9.6-1-x86_64        74,9 MiB   939 KiB/s 01:22 [----------------------------] 100%
archlinux-appstream-...    19,1 MiB  1215 KiB/s 00:16 [----------------------------] 100%
yay-11.1.1-1-x86_64         2,8 MiB  1164 KiB/s 00:02 [----------------------------] 100%
flatpak-1:1.12.6-1-x...  1728,5 KiB  1198 KiB/s 00:01 [----------------------------] 100%
mugshot-0.4.3-2-any       134,9 KiB   177 KiB/s 00:01 [----------------------------] 100%
xfce4-panel-profiles...    99,8 KiB  88,8 KiB/s 00:01 [----------------------------] 100%
libgksu-2.0.12-9-x86_64    75,9 KiB  56,4 KiB/s 00:01 [----------------------------] 100%
libmfx-22.1.0-1-x86_64     56,6 KiB   202 KiB/s 00:00 [----------------------------] 100%
Total (8/8)                98,9 MiB   946 KiB/s 01:47 [----------------------------] 100%
(20/20) sprawdzanie kluczy w bazie                     [----------------------------] 100%
(20/20) sprawdzanie spójności pakietów                 [----------------------------] 100%
błąd:  archlinux-appstream-data-pamac: podpis od "SGS Garuda Linux <sgs@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/archlinux-appstream-data-pamac-1:20220107-1-any.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  libgksu: podpis od "SGS Garuda Linux <sgs@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/libgksu-2.0.12-9-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  mugshot: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/mugshot-0.4.3-2-any.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  yay: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/yay-11.1.1-1-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  zoom: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/zoom-5.9.6-1-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  nie udało się dokonać transakcji (Niepoprawny lub uszkodzony pakiet (podpis PGP))
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.

*****************
Umieściłem ten wpis tutaj, gdyż StormOS wyglada własciwie jak Arch i podobnie się zachowuje.
Wydaje mi się ciekawą propozycją na stare maszyny, ale być może jest to tylko moje zdanie
Będę wdzięczny za opinie kolegów, choc właściwie nawet w tej postaci jest dla moich potrzeb wystarczający.
A Chaotic-AUR usiłowałem dorzucić z czystej fanaberii
Z  góry kolegom dziękuję.







robson75

Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov

Janek, błagam, ile razy można... Te Twoje pytania się wiecznie powtarzają...
Po pierwsze - chcesz korzystać z chaotic-aur: https://aur.chaotic.cx/ i musisz to wykonać.
Po drugie - jaka Garuda???

robson75

Cytat: pavbaranov w Marzec 07, 2022, 10:44:38 PM
Po drugie - jaka Garuda???
Paweł, bo Nico budujący paczki w chaotic-aur działa na Garuda Linux, dlatego w podpisach jego kluczy jest Garuda.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

pavbaranov


robson75

Janek, może zbyt ogólnikowo Ci napisaliśmy żebyś wykonał wszystko z podanej przez nas strony, aby repo chaotic-aur ruszyło musisz wykonać tylko te trzy komendy.

Arch Linux Xfce+compiz - 64Bit Linux User #621110

Piejanto

@robson75
@pavbaranov

No, fakt że jakoś mi się to wszystko nie łączy komórce rozumowej, ale jak tak popatrzę wstecz, to w porównaniu z tym co było, jestem orzeł.



Co do Chaotic-AUR, to postąpiłem wg niegdysiejszej instrukcji, od @robson75, która zadziałała pięknie na moim Asusie z Archem instalowanym przez Anarchy, a która brzmiała:

"Cytuj
@Piejanto Jeżeli chciałbyś dodać jednak repo chaotic-aur do Arch-a to Ci wytłumaczę najprościej jak mogę.

A więc odnajdujesz
/etc/pacman.conf. i dodajesz ten wpis w tym miejscu
******************************
[chaotic-aur]
Server = http://lonewolf-builder.duckdns.org/$repo/x86_64
Server = http://chaotic.bangl.de/$repo/x86_64
Server = https://repo.kitsuna.net/x86_64

Następnie uruchamiasz terminal i  wpisujesz

sudo pacman-key --keyserver keys.mozilla.org -r 3056513887B78AEB

następnie wpisujesz

sudo pacman-key --lsign-key 3056513887B78AEB

I to wszystko.
Teraz tylko wystarczy wklepać do terminala

sudo pacman -Syy
_______________________________________"

I ja właśnie tak postąpiłem w przypadku tego StormOS-a.
Teraz sobie wpiszę do instrukcji nowy sposób i bede zupełnie od nowa wdzięczny

Jeśli wszystko zadziała, to będe mógł polecić StormOS-a, jako łatwiejszy w instalacji, odpowiednik Anarchy.

nie podoba mi się wprawdzie to, że ma grafike w oknie konsoli, ale idzie z tym żyć.

Dziękuję Wam bardzo, Panowie, za anielską cierpliwość.





lcoyote

  🤔 zajrzyj tutaj, jest troszkę instrukcji zbieranych przeze mnie, kiedy używałem Manjaro i Mabox -pochodzą od ARCH — to komendy identyczne
https://mega.nz/folder/Wgx0SAKI#YZnOD2Kdy3lMPrb1S6PweA/folder/bw52SKJT

Debian 11 Cynnamon Z Linux 🐧 od 2001 roku. Jeśli czcisz swojego wroga – zostajesz pokonany.  Jeśli przyjmiesz religię wroga – jesteś zniewolony. Jeśli rozmnażasz się z wrogiem – będziesz zniszczony😩 – Polydoros ze Sparty

robson75

Janek, wszystko się zmienia, nic nie stoi w miejscu.
Sposób który podałem Ci kiedyś jest nieaktualny, w międzyczasie Pedro z chaotic-aur utworzył paczkę chaotic-mirrorlist, i teraz w pacman.conf powinno to tak wyglądać
[chaotic-aur]
Include = /etc/pacman.d/chaotic-mirrorlist

oczywiście musisz zainstalować tą paczkę, ale przed instalacją tej paczki musisz mieć taki wpis w pacman.conf
[chaotic-aur]
Server = http://chaotic.bangl.de/chaotic-aur/x86_64/

I po instalacji zmieniasz na podany wyżej, pierwszy sposób.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Piejanto

@robson75
OK. ja rozumiem, że się zmienia. Dlatego, zgodnie z Twoja radą poszedłem na [https://aur.chaotic.cx/] i postępowałem według instrukcji.
Niestety, chyba jednak StormOS nie może być łatwiejsza alternatywą dla Anarchy, chociaż u mnie akurat na Acerze się przyda. Otóz:

pierwsze trzy punkty

pacman-key --recv-key FBA220DFC880C036 --keyserver keyserver.ubuntu.com
pacman-key --lsign-key FBA220DFC880C036
pacman -U 'https://cdn-mirror.chaotic.cx/chaotic-aur/chaotic-keyring.pkg.tar.zst' 'https://cdn-mirror.chaotic.cx/chaotic-aur/chaotic-mirrorlist.pkg.tar.zst'

poszły bezproblemowo.

Następnie pod kontrola Midnight Commandera wszedłem do :

/etc/pacman.conf

i dodałem :
[chaotic-aur]
Include = /etc/pacman.d/chaotic-mirrorlist

Problemy zaczynają się niżej, po komendzie [sudo pacman -Sy && sudo powerpill -Su && paru -Su ]
otrzymałem informację, że nie znaleziono polecenia [powerpill]

Następnie, po kolejnych poleceniach, rusza aktualizacja, lecz kończy się jak poprzednio. Coś chyba brakuje temu StormOS-owi:
Wygląda to tak:

pacman-key --lsign-key 3056513887B78AEB
  -> Locally signed 1 keys.
==> Aktualizacja zaufanej bazy danych...
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: poziom: 0 poprawnych:   1 podpisanych:   7 zaufanie: 0-,0q,0n,0m,0f,1u
gpg: poziom: 1 poprawnych:   7 podpisanych:  94 zaufanie: 1-,0q,0n,6m,0f,0u
gpg: poziom: 2 poprawnych:  88 podpisanych:  32 zaufanie: 88-,0q,0n,0m,0f,0u
gpg: następne sprawdzanie bazy odbędzie się 2022-05-06
[root@piejanto jan]# pacman -Syy
:: Synchronizowanie baz danych z pakietami...
core                      136,0 KiB   209 KiB/s 00:01 [----------------------------] 100%
extra                    1547,0 KiB  1154 KiB/s 00:01 [----------------------------] 100%
community                   6,0 MiB  1297 KiB/s 00:05 [----------------------------] 100%
multilib                  154,0 KiB   890 KiB/s 00:00 [----------------------------] 100%
chaotic-aur              1584,0 KiB   686 KiB/s 00:02 [----------------------------] 100%
storm-os                   10,2 KiB  21,5 KiB/s 00:00 [----------------------------] 100%
[root@piejanto jan]# pacman -Syu
:: Synchronizowanie baz danych z pakietami...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date
storm-os is up to date
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...

Pakiety (20) archlinux-appstream-data-pamac-1:20220107-1  curl-7.82.0-1  fakeroot-1.28-1
             flatpak-1:1.12.6-1  gpgme-1.17.1-1  lib32-curl-7.82.0-1  libgksu-2.0.12-9
             libmfx-22.1.0-1  libnm-1.36.2-1  libvpx-1.11.0-2  mugshot-0.4.3-2
             nbd-3.24-1  networkmanager-1.36.2-1  open-vm-tools-6:12.0.0-1
             qt5-base-5.15.3+kde+r133-1  sudo-1.9.10-1  xfce4-panel-profiles-1.0.13-1
             xfce4-screenshooter-1.9.10-1  yay-11.1.1-1  zoom-5.9.6-1

Do pobrania:              98,89 MiB
Do zainstalowania:       367,22 MiB
Zmiana po aktualizacji:   35,64 MiB

:: Kontynuować instalację? [T/n] T
:: Pobieranie pakietów...
zoom-5.9.6-1-x86_64        74,9 MiB   939 KiB/s 01:22 [----------------------------] 100%
archlinux-appstream-...    19,1 MiB  1215 KiB/s 00:16 [----------------------------] 100%
yay-11.1.1-1-x86_64         2,8 MiB  1164 KiB/s 00:02 [----------------------------] 100%
flatpak-1:1.12.6-1-x...  1728,5 KiB  1198 KiB/s 00:01 [----------------------------] 100%
mugshot-0.4.3-2-any       134,9 KiB   177 KiB/s 00:01 [----------------------------] 100%
xfce4-panel-profiles...    99,8 KiB  88,8 KiB/s 00:01 [----------------------------] 100%
libgksu-2.0.12-9-x86_64    75,9 KiB  56,4 KiB/s 00:01 [----------------------------] 100%
libmfx-22.1.0-1-x86_64     56,6 KiB   202 KiB/s 00:00 [----------------------------] 100%
Total (8/8)                98,9 MiB   946 KiB/s 01:47 [----------------------------] 100%
(20/20) sprawdzanie kluczy w bazie                     [----------------------------] 100%
(20/20) sprawdzanie spójności pakietów                 [----------------------------] 100%
błąd:  archlinux-appstream-data-pamac: podpis od "SGS Garuda Linux <sgs@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/archlinux-appstream-data-pamac-1:20220107-1-any.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  libgksu: podpis od "SGS Garuda Linux <sgs@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/libgksu-2.0.12-9-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  mugshot: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/mugshot-0.4.3-2-any.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  yay: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/yay-11.1.1-1-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  zoom: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/zoom-5.9.6-1-x86_64.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  nie udało się dokonać transakcji (Niepoprawny lub uszkodzony pakiet (podpis PGP))
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.

******************************************

Reasumując: chyba pozostanę przy StormOS na Acerze, bo hula zdecydowanie piękniej niż to robił na Mincie. Na dodatek działa mi jasnośc ekranu i cała reszta. A większych operacji raczej już z niego nie wycisnę. Zresztą... Kaffeine i Cheese działają, i działa LibreOffice, to tak na wszelki wypadek. FireFox też działa, a Zoom-a i tak nie będę tutaj potrzebował.

Dziękuję Tobie i Pavłovi, żeście sie zainteresowali i mnie poprowadzili. Nowy sposób na Chaotic-AUR jeszcze mi się może przydać.
Szkoda trochę, że ten StormOS nie ogarnia Chaotica, ale starą maszynę, jeszcze pozwoli wykorzystać i w sumie się cieszę, ze na niego trafiłem u Linuxiarzy.pl

Jakby co, to jeszcze będę tutaj zagladał, na wypadek gdybyście, Panowie, zdecydowali się sami przetestować StormOS-a.

Dzięki i pozdrowienia.


robson75

#10
To Ciebie ma nie interesować
CytatProblemy zaczynają się niżej, po komendzie [sudo pacman -Sy && sudo powerpill -Su && paru -Su ]
otrzymałem informację, że nie znaleziono polecenia [powerpill]
Natomiast, jeżeli poprawnie wykonałeś te komendy i nadal sypią się błędy, to wykonaj te polecenia
pacman -Syu chaotic-keyring
pacman-key --refresh-keys

EDIT.
Zapomniałem że masz paczki do aktualizacji, to wykonaj ta pierwszą komendę tak
pacman -Syy chaotic-keyring
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Piejanto

@robson75
Kicha. To samo co poprzednio. Zwróć uwgę na [ostrzeżenie: chaotic-keyring-20220220-1 jest w najnowszej wersji -- ponowne instalowanie]

Wczoraj wykonałem polecenia, które mi przysłałes. po pierwszym było wiecej błędów niż po [pacman -Syy] a po tym drugim było tyle płedów, że nie mieścilo się w oknie i na dodatek coś się porobiło, że nie mogłem wysłać odpowiedzi z Linuxiarzy.pl

po komendzie:
pacman -Syy chaotic-keyring


:: Synchronizowanie baz danych z pakietami...
core                      154,8 KiB   378 KiB/s 00:00 [----------------------------] 100%
extra                    1715,3 KiB  1141 KiB/s 00:02 [----------------------------] 100%
community                   6,5 MiB   734 KiB/s 00:09 [----------------------------] 100%
multilib                  171,2 KiB   704 KiB/s 00:00 [----------------------------] 100%
chaotic-aur              1611,4 KiB   430 KiB/s 00:04 [----------------------------] 100%
storm-os                   12,5 KiB  40,0 KiB/s 00:00 [----------------------------] 100%

ostrzeżenie: chaotic-keyring-20220220-1 jest w najnowszej wersji -- ponowne instalowanie
rozwiązywanie zależności...
szukanie sprzecznych pakietów...

Pakiety (1) chaotic-keyring-20220220-1

Do pobrania:             0,02 MiB
Do zainstalowania:       0,02 MiB
Zmiana po aktualizacji:  0,00 MiB

:: Kontynuować instalację? [T/n] T
:: Pobieranie pakietów...
chaotic-keyring-2022...    22,3 KiB  44,0 KiB/s 00:01 [----------------------------] 100%
(1/1) sprawdzanie kluczy w bazie                       [----------------------------] 100%
pobieranie potrzebnych kluczy...
:: Zaimportować klucz PGP 0706B90D37D9B881, "Chaotic-AUR Wild Bear Node <wildbear.node@chaotic.cx>"? [T/n] T
(1/1) sprawdzanie spójności pakietów                   [----------------------------] 100%
błąd:  chaotic-keyring: podpis od "Nico Jensch (Chaotic-AUR) <dr460nf1r3@garudalinux.org>" posiada nieznane zaufanie
:: Plik /var/cache/pacman/pkg/chaotic-keyring-20220220-1-any.pkg.tar.zst jest uszkodzony (Niepoprawny lub uszkodzony pakiet (podpis PGP)).
Czy chcesz go usunąć? [T/n] T
błąd:  nie udało się dokonać transakcji (Niepoprawny lub uszkodzony pakiet (podpis PGP))
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.
_____________________________________

Chyba nie ma większego sensu walka o instalację Chaotic-AUR na StormOS. Coś tu musi być schrzanione.

Dzieki za pomoc. Z goowna się bicza nie ukręci.

Pozdro





robson75

#12
I to właśnie tak to jest z forkami, najwidoczniej ma coś ustawione w skiel, i stąd te problemy.
Jedynie co Ci mogę zaproponować to usunięcie z pacman.conf repa chaotic-aur (zauważyłem że masz zainstalowany yay) i wykonanie aktualizacji przez yay
yay -Syu

EDIT.
A jakim sposobem zainstalowałeś zoom czy yay? przecież te paczki są dostępne tylko w AUR, być może że są w repo StormOS, to w takim wypadku nie potrzebujesz repa chaotic-aur.
A więc usuń z pacman.conf repo chaotic-aur, następne wykonaj polecenie
pacman -Syyu
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Piejanto

#13
@robson75
Tak też uczyniłem. Zahasztagowałem w [pacman.conf] linijki dotyczące Chaotic-AUR i robię aktualizacje przez PAK tego co mi zostało do aktualizacji.


Co do [yay] i Zoom, to one nie są zainstalowane. Ale po wpisaniu do [etc/pacman.conf] linijek do obsługi Chaotic-AUR, on widzi i ściąga aktualizacje. Natomiast na koniec nie może zainstalować kluczy i w rezultacie cała aktualizacja jak psu w rzyć


Ostatnia, dzisiejsza aktualizacja poleciała bez zaskoczeń, ale gdybyś zechciał zerknąć i powiedzieć o co tutaj chodzi z tym brakiem polecenia
w
/etc/os-release

Chodzi mi o te linie:
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia

***********************************

Aktualizacja przebiega następująco:

pak -Syu --disable-download-timeout
Używana jest konfiguracja użytkownika: /home/jan/.config/pak/pak.conf

:: Synchronizowanie baz danych z pakietami...
core                      154,9 KiB   354 KiB/s 00:00 [----------------------------] 100%
extra                    1716,0 KiB  1410 KiB/s 00:01 [----------------------------] 100%
community                   6,5 MiB  1476 KiB/s 00:05 [----------------------------] 100%
multilib                  171,1 KiB  1025 KiB/s 00:00 [----------------------------] 100%
storm-os is up to date
:: Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie sprzecznych pakietów...

Pakiety (13) bind-9.18.1-1  bluez-5.64-1  bluez-libs-5.64-1  bluez-utils-5.64-1
             imlib2-1.8.1-1  librsvg-2:2.54.0-1  linux-5.16.15.arch1-1
             linux-headers-5.16.15.arch1-1  openssl-1.1.1.n-1  openvpn-2.5.6-1
             python-pyparsing-3.0.2-1  squashfs-tools-4.5.1-1
             xdg-desktop-portal-1.14.0-1

Do pobrania:             193,60 MiB
Do zainstalowania:       345,54 MiB
Zmiana po aktualizacji:    0,04 MiB

:: Kontynuować instalację? [T/n] T
:: Pobieranie pakietów...
linux-5.16.15.arch1-...   155,2 MiB  1417 KiB/s 01:52 [----------------------------] 100%
linux-headers-5.16.1...    25,8 MiB  1602 KiB/s 00:17 [----------------------------] 100%
openssl-1.1.1.n-1-x86_64    3,6 MiB  1474 KiB/s 00:02 [----------------------------] 100%
librsvg-2:2.54.0-1-x...     3,5 MiB  1671 KiB/s 00:02 [----------------------------] 100%
bind-9.18.1-1-x86_64     1918,4 KiB  1487 KiB/s 00:01 [----------------------------] 100%
bluez-utils-5.64-1-x...   962,2 KiB  1465 KiB/s 00:01 [----------------------------] 100%
bluez-5.64-1-x86_64       837,8 KiB  1523 KiB/s 00:01 [----------------------------] 100%
openvpn-2.5.6-1-x86_64    557,3 KiB  1278 KiB/s 00:00 [----------------------------] 100%
imlib2-1.8.1-1-x86_64     536,7 KiB  1547 KiB/s 00:00 [----------------------------] 100%
xdg-desktop-portal-1...   348,4 KiB  1434 KiB/s 00:00 [----------------------------] 100%
squashfs-tools-4.5.1...   198,3 KiB  1349 KiB/s 00:00 [----------------------------] 100%
python-pyparsing-3.0...   161,9 KiB  1245 KiB/s 00:00 [----------------------------] 100%
bluez-libs-5.64-1-x86_64   91,9 KiB   747 KiB/s 00:00 [----------------------------] 100%
Total (13/13)             193,6 MiB  1434 KiB/s 02:18 [----------------------------] 100%
(13/13) sprawdzanie kluczy w bazie                     [----------------------------] 100%
(13/13) sprawdzanie spójności pakietów                 [----------------------------] 100%
(13/13) wczytywanie listy plików                       [----------------------------] 100%
(13/13) sprawdzanie konfliktów plików                  [----------------------------] 100%
:: Uruchamianie przed-transakcji...

(1/2) Removing linux initcpios...
(2/2) Remove DKMS modules
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
==> dkms remove --no-depmod broadcom-wl/6.30.223.271 -k 5.16.14-arch1-1
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
==> dkms remove --no-depmod vboxhost/6.1.32_OSE -k 5.16.14-arch1-1
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
==> depmod 5.16.14-arch1-1
:: Przetwarzanie zmian pakietu...
( 1/13) aktualizowanie openssl                         [----------------------------] 100%
( 2/13) aktualizowanie bind                            [----------------------------] 100%
( 3/13) aktualizowanie bluez                           [----------------------------] 100%
( 4/13) aktualizowanie bluez-libs                      [----------------------------] 100%
( 5/13) aktualizowanie bluez-utils                     [----------------------------] 100%
( 6/13) aktualizowanie librsvg                         [----------------------------] 100%
( 7/13) aktualizowanie imlib2                          [----------------------------] 100%
( 8/13) aktualizowanie linux                           [----------------------------] 100%
( 9/13) aktualizowanie linux-headers                   [----------------------------] 100%
(10/13) aktualizowanie openvpn                         [----------------------------] 100%
(11/13) aktualizowanie python-pyparsing                [----------------------------] 100%
(12/13) aktualizowanie squashfs-tools                  [----------------------------] 100%
(13/13) aktualizowanie xdg-desktop-portal              [----------------------------] 100%
:: Uruchamianie po-transakcji...
(1/9) Creating system user accounts...
(2/9) Reloading system manager configuration...
(3/9) Creating temporary files...
(4/9) Arming ConditionNeedsUpdate...
(5/9) Updating module dependencies...
(6/9) Install DKMS modules
==> dkms install --no-depmod broadcom-wl/6.30.223.271 -k 5.16.15-arch1-1
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
==> dkms install --no-depmod vboxhost/6.1.32_OSE -k 5.16.15-arch1-1
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
==> depmod 5.16.15-arch1-1
(7/9) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 5.16.15-arch1-1
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [consolefont]
==> WARNING: consolefont: no font found in configuration
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Starting build: 5.16.15-arch1-1
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: qla1280
==> WARNING: Possibly missing firmware for module: qed
==> WARNING: Possibly missing firmware for module: qla2xxx
==> WARNING: Possibly missing firmware for module: aic94xx
==> WARNING: Possibly missing firmware for module: bfa
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: xhci_pci
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [consolefont]
==> WARNING: consolefont: no font found in configuration
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-fallback.img
==> Image generation successful
(8/9) Reloading system bus configuration...
(9/9) Probing GDK-Pixbuf loader modules...

****************************************************

Dzięki.


robson75

#14
Cytat: Piejanto w Marzec 18, 2022, 12:29:06 AM
Ostatnia, dzisiejsza aktualizacja poleciała bez zaskoczeń, ale gdybyś zechciał zerknąć i powiedzieć o co tutaj chodzi z tym brakiem polecenia
w
/etc/os-release

Chodzi mi o te linie:
/etc/os-release: linia 1: OS: nie znaleziono polecenia
/etc/os-release: linia 3: OS: nie znaleziono polecenia
Ja mam taką treść w /etc/os-release
NAME="Arch Linux"
PRETTY_NAME="Arch Linux"
ID=arch
BUILD_ID=rolling
ANSI_COLOR="38;2;23;147;209"
HOME_URL="https://archlinux.org/"
DOCUMENTATION_URL="https://wiki.archlinux.org/"
SUPPORT_URL="https://bbs.archlinux.org/"
BUG_REPORT_URL="https://bugs.archlinux.org/"
LOGO=archlinux-logo
VERSION_ID=2022.18.03

A pokaż co Ty tam masz.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Zobacz najnowsze wiadomości na forum